UltimateKitPvP 1.0.4

An advanced KitPvP plugin with a lot of functions!

  1. Jeroenhero
    Contributors:
    jeroenhero123
    UltimateKitPvP

    RESOURCE INACTIVE - NO MORE UPDATES

    It is really, really recommended to NOT use this plugin. Source code is really outdated.

    Description:
    UltimateKitPvP is a kitpvp plugin with a lot of functions, and a lot of kits!
    Kit's aren't just items, they also got special abilities and functions!

    Kits:
    - Villager
    - Warrior
    - Archer
    - Tank
    - Hulk
    - Ninja
    - Escaper
    - Spy - BUGGED, DO NOT USE
    - Pyro
    - Lumberjack
    - Recon
    - Caveman
    - Addicted
    - Acrobat
    - Monkey

    Commands:
    /kitpvp open - Open's the GUI
    /kitpvp <kitname> - Give's you the kit you want!
    /kitpvp reset <name> - Reset's if a player has chosen a kit!


    Permissions:
    ultimatekitpvp.open - Permission to open the GUI
    ultimatekitpvp.sign - Permission to use the sign
    ultimatekitpvp.<kitname> - Permission to use a kit
    ultimatekitpvp.blockbreak - Permission to bypass the no block break
    ultimatekitpvp.blockplace - Permission to bypass the no block place

    Signs:
    If you place a sign, and on the first line there is [KitPvP], it will open the GUI when right clicking.

    Config:
    Configurable options:
    Disable deathmessage
    Disable item drops
    Disable block place
    Disable block break


    ToDo:
    - Kits in death message
    - More Kits
    - Fix Spy
    - Fix Pyro fire charge - Fixed -> 1.0.4

    Thanks :D
    Rulitox likes this.

Recent Reviews

  1. hockeymikey
    hockeymikey
    4/5,
    Version: 1.0.3
    Simple plugin but does it job well. A few bugs with the kits but other than that it's fine.
  2. Hugmanrique
    Hugmanrique
    5/5,
    Version: 1.0.3
    Rapid Support, Developer adding the things that I told him. It's all you could need. Also, it's Free ;D
  3. Rulitox
    Rulitox
    5/5,
    Version: 1.0.3
    It Could solve the problems With The signs :
    [ KitPvP ] = Do not open the GUI
    [ KitPvP ] < kit > = not receiving the kit.
    In Both opcciones Erro Gives me the console .
    Forgive my bad Ingl├ęs .
    1. Jeroenhero
      Author's Response
      Are you using [ KitPvP ] or [KitPvP]? You should use the second one :)
  4. ALMJHOL2344
    ALMJHOL2344
    5/5,
    Version: 1.0.1
    Very Nice Plugin :D

    Thhhhhxxx <3
    1. Jeroenhero
  5. Rulitox
    Rulitox
    5/5,
    Version: 1.0.1
    hello excellent plugin has fascinated me :D
    Please could add in one .yml config file in which we can translate messages kits?
    1. Jeroenhero
      Author's Response
      I'll add this in the next update :)
      Thanks for your suggestion!